#ifndef __LOOPPROGRAMS__WHILELEXER_H
    #define __LOOPPROGRAMS__WHILELEXER_H

    #ifndef yyFlexLexerOnce
        #define yyFlexLexer LOOP_FlexLexer
        #include<FlexLexer.h>
    #endif

    #undef YY_DECL
    #define YY_DECL int LoopLexer::yylex()


    #include "parser.hpp"


    class LoopLexer : public LOOP_FlexLexer
    {
        private:
            yy::LoopParser::semantic_type* yylval;
            int yylex();
        public:
            int yylex(yy::LoopParser::semantic_type* lval);
            LoopLexer(std::istream& is);
            int GetCurrentLineNumber();
    };

#endif
